curl --request PATCH \
--url https://storage.{region}.basaltic.sh/v1/snapshots/{snapshot_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Nightly backup of data-vol-01",
"tags": {
"environment": "production",
"team": "backend"
}
}
'import requests
url = "https://storage.{region}.basaltic.sh/v1/snapshots/{snapshot_id}"
payload = {
"description": "Nightly backup of data-vol-01",
"tags": {
"environment": "production",
"team": "backend"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Nightly backup of data-vol-01',
tags: {environment: 'production', team: 'backend'}
})
};
fetch('https://storage.{region}.basaltic.sh/v1/snapshots/{snapshot_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"snapshot": {
"faults": [
{
"code": "BACKUP_FAILED",
"severity": "error",
"message": "Backup upload failed.",
"details": {},
"first_at": "2023-11-07T05:31:56Z",
"last_at": "2023-11-07T05:31:56Z",
"occurrences": 1
}
],
"id": "7b1e9c4d-3a2f-4b8c-9d6e-0f1a2b3c4d5e",
"crn": "crn:storage:sa-saopaulo-1:my-account:volume/data-vol-01/snapshot/weekly-backup",
"volume_id": "5f8d2c1a-9b3e-4d7a-8c6f-1e2a3b4c5d6e",
"snapshot_policy_id": "3c9f1b2e-6d4a-4e8b-9f1c-2a3b4c5d6e7f",
"name": "nightly-2026-01-15",
"description": "Nightly backup of data-vol-01",
"tags": {
"environment": "production",
"team": "backend"
},
"size_gb": 100,
"status": "available",
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:42Z"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"params": {
"instances": 2,
"pools": 0
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal error occurred",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Actualizar metadatos de instantáneas
Actualice la descripción de la instantánea. Su nombre es inmutable.
storage:UpdateSnapshot. Consulte permisos de almacenamiento para obtener la lista completa, lo que cubre cada una y un ejemplo de política.Autorizaciones
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Parámetros de ruta
ID de instantánea
Cuerpo
Los nombres se fijan en la creación porque forman el CRN utilizado por las directivas de IAM. El envío de nombre en una actualización, incluyendo un valor sin cambios, vacío o nulo, devuelve un error de validación.
Respuesta
Snapshot actualizado
Show child attributes
Show child attributes

